# Class TelemetryRequest

java.lang.Object
com.databricks.jdbc.model.telemetry.TelemetryRequest

public class TelemetryRequest extends Object

## Constructor Summary

Constructors
Constructor
Description
`TelemetryRequest()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getProtoLogs()`
`Long`
`getUploadTime()`
`TelemetryRequest`
`setProtoLogs(List<String> protoLogs)`
`TelemetryRequest`
`setUploadTime(Long uploadTime)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TelemetryRequest

public TelemetryRequest()

## Method Details

### getUploadTime

public Long getUploadTime()

### setUploadTime

public TelemetryRequest setUploadTime(Long uploadTime)

### getProtoLogs

public List<String> getProtoLogs()

### setProtoLogs

public TelemetryRequest setProtoLogs(List<String> protoLogs)